Full GVM-11 Build Guide for CentOS 8

Getting a different error now, The scans reports are coming back empty and ospd reports the following error:

2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120400 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120401 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120395 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120397 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120519 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120565 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120564 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120294 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120275 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120489 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120488 was not found and it will not be loaded.
2020-06-26 12:15:13,244 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120319 was not found and it will not be loaded.
2020-06-26 12:15:13,245 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120570 was not found and it will not be loaded.
2020-06-26 12:15:13,245 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120501 was not found and it will not be loaded.
2020-06-26 12:15:13,245 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120500 was not found and it will not be loaded.
2020-06-26 12:15:13,245 OSPD - openvas: WARNING: (ospd_openvas.daemon) The vt 1.3.6.1.4.1.25623.1.0.120518 was not found and it will not be loaded.

Really good Guide thank you!

…but after configure all target and tasks, make a full scan of all VMs (that was done perfectly) NVT sync stop working.

GVMD LOG
lib osp:WARNING:2020-06-28 08h58.02 utc:52182: osp_get_vts_version: element VTS missing.
md manage:WARNING:2020-06-28 08h58.02 utc:52182: manage_update_nvt_cache_osp: failed to get scanner_version
md manage:WARNING:2020-06-28 08h58.02 utc:43001: sql_exec_internal: PQexec failed: (7)
md manage:WARNING:2020-06-28 08h58.02 utc:43001: sql_exec_internal: SQL: BEGIN;
md manage:WARNING:2020-06-28 08h58.02 utc:43001: sqlv: sql_exec_internal failed
md manage:WARNING:2020-06-28 08h58.02 utc:43001: manage_schedule: manage_update_nvti_cache error (Perhaps the db went down?)

OSPD-OPENVAS LOG…
I’ve try to do a scan:
2020-06-28 09:11:28,398 OSPD - openvas: WARNING: (ospd_openvas.daemon) Error creating feed lock file. Trying again later…
2020-06-28 10:28:17,782 OSPD - openvas: ERROR: (ospd.ospd) While scanning 192.168.16.53:
Traceback (most recent call last):
File “/opt/gvm/lib/python3.6/site-packages/ospd_openvas-1.0.1-py3.6.egg/ospd_openvas/db.py”, line 155, in try_database_index
resp = ctx.hsetnx(self.DBINDEX_NAME, kb, _in_use)
AttributeError: ‘NoneType’ object has no attribute ‘hsetnx’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/gvm/lib/python3.6/site-packages/ospd-2.0.1-py3.6.egg/ospd/ospd.py”, line 800, in parallel_scan
ret = self.exec_scan(scan_id, target)
File “/opt/gvm/lib/python3.6/site-packages/ospd_openvas-1.0.1-py3.6.egg/ospd_openvas/daemon.py”, line 1482, in exec_scan
ctx = self.openvas_db.kb_new()
File “/opt/gvm/lib/python3.6/site-packages/ospd_openvas-1.0.1-py3.6.egg/ospd_openvas/db.py”, line 216, in kb_new
if self.try_database_index(ctx, index):
File “/opt/gvm/lib/python3.6/site-packages/ospd_openvas-1.0.1-py3.6.egg/ospd_openvas/db.py”, line 158, in try_database_index
‘Redis Error: Not possible to set %s.’ % self.DBINDEX_NAME
ospd_openvas.errors.OspdOpenvasError: Redis Error: Not possible to set GVM.__GlobalDBIndex.

If I run “gvmd --get-scanners” scanner is shown in the right path:
6acd0832-df90-11e4-b9d5-28d24461215b CVE 0 CVE
08b69003-5fc2-4037-a479-93b440211c73 OpenVAS /opt/gvm/var/run/ospd.sock 0 OpenVAS Default
Runnung: gvmd --verify-scanner=08b69003-5fc2-4037-a479-93b440211c73
Show: Scanner version: OpenVAS 7.0.1.

But if I run “greenbone-nvt-sync” nothing happen.
Socks and Pid seems to be in their right folders.

What can I do?
Thank you for your help.

Hmm maybe a permission issue ? Can GVMD write to the lock directory ? Sync in triggered from the GVMD, so calling it manually could ruin your complete setup due to wrong file permissions.

Hi Lukas,
I tried to manually delete the file /opt/gvm/var/run/feed-update.lock and run again the greenbone-nvt-sync and openvas --update-vt-info,now the Scanner seems to work, but feed are 3 days old and do not change their status even running a feed update…

This is the result running openvas --update-vt-info…

This service is hosted by Greenbone Networks - http://www.greenbone.net/
All transactions are logged.
If you have any questions, please use the Greenbone community portal.
See https://community.greenbone.net for details.
By using this service you agree to our terms and conditions.
Only one sync per time, otherwise the source ip will be temporarily blocked.
receiving incremental file list
sent 1,012 bytes  received 2,475,055 bytes  183,412.37 bytes/sec
total size is 273,377,328  speedup is 110.41
Greenbone community feed server - http://feed.community.greenbone.net/
This service is hosted by Greenbone Networks - http://www.greenbone.net/
All transactions are logged.
If you have any questions, please use the Greenbone community portal.
See https://community.greenbone.net for details.
By using this service you agree to our terms and conditions.
Only one sync per time, otherwise the source ip will be temporarily blocked.
receiving incremental file list
sent 38 bytes  received 65 bytes  206.00 bytes/sec
total size is 985  speedup is 9.56

But feed status still remain 3 days old.
GVMD has full controll of the principal folder /opt/gvm (recursively) where all the environments are installed.

Thanks for your answer!
Dan

Check the permissions either with strace or turn auditing on.

I don´t know your installation so you need to check with your system tools for a “permission denied” and other errors. Manually deleting is not a reliable solution to a such a problem.

Manual deletion allowed me (at least apparently) to unlock the scanner that went wrong and didn’t even scan anymore. Now the scans are running but I agree with you, I need to investigate why the feeds don’t update.
I try to check how you suggest to use strace for monitoring access/permission problems.
The installation was made on CentOS8 Linux 4.18.0-193.6.3.el8_2.x86_64 # 1 SMP Wed Jun 10 11:09:32 UTC 2020 x86_64 x86_64 x86_64 GNU / Linux.
The GSA components are those suggested in the “caseybea” original post.

A feedback will follow
Thanks!
Dan

Hi,
I am trying to install scanner openvas-7.0.1 GVM-11 on Centos 8.1.
I have problem during make command:

[ 11%] Built target openvas_misc_shared
[ 76%] Built target openvas_nasl_shared
[ 77%] Linking C executable openvas-nasl
/usr/bin/ld: warning: libgssapi.so.3, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libheimntlm.so.0, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libkrb5.so.26, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libhx509.so.5, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libhcrypto.so.4, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libasn1.so.8, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libwind.so.0, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libheimbase.so.1, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libroken.so.18, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libhdb.so.9, needed by /opt/gvm/lib/libopenvas_wmiclient.so, not found (try using -rpath or -rpath-link)
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to hdb_free_keys@HEIMDAL_HDB_1.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_init_creds_opt_set_default_flags@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_resolve@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_ctx@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_addlog_func@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_keyblock_init@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_crypto_init@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_ap_rep_enc_part@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to initialize_krb5_error_table@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_init_creds_password@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_close@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_free_entry@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_display_status@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_init_sec_context@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_start_seq_get@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to signal@HEIMDAL_ROKEN_1.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_init_creds_keyblock@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_keyblock@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_default_realm@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_send_to_kdc_func@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_princ_realm@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_verify_checksum@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_unparse_name@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_dns_canonicalize_hostname@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_display_name@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_add_entry@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_in_ctx_alloc@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_default_in_tkt_etypes@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_import_name@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_krbhst_get_addrinfo@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_accept_sec_context@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_priv@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_remove_entry@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_ticket_get_authorization_data_type@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_real_time@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_init_context@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_make_principal@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_end_seq_get@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_clear_error_string@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_wrap@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_ticket_get_client@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_close@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_parse_name@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_string_to_key_salt@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_cred_contents@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_out_get_keyblock@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_set_default_realm@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_in_set_keytab@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_mk_req_exact@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_data_copy@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_parse_name_flags@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_mk_rep@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_salt@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_get_principal@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_principal@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_destroy@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_enctype_to_string@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_compare@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_extract_authtime_from_sec_context@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_initialize@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_rep@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_default@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_sockaddr2address@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_extract_service_keyblock@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_release_buffer@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_in_ctx_free@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_set_dns_canonicalize@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_principal_compare_any_realm@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_c_enctype_compare@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_release_cred@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_init@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_free@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_delete_sec_context@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_default_in_tkt_etypes@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_create_checksum@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to __gss_krb5_mechanism_oid_desc@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_getremotesubkey@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_error_string@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_unwrap@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_store_cred@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_closelog@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_setaddrs@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_mk_req@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_set_warn_dest@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_pw_salt@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to length_Key@HEIMDAL_HDB_1.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_setflags@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_oid_equal@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_extract_authz_data_from_sec_context@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to free_Checksum@HEIMDAL_ASN1_1.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_crypto_destroy@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_get_init_creds_opt_init@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_cc_resolve@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_release_name@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_ticket@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_out_get_ticket@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_rd_req_out_ctx_free@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to __gss_c_nt_hostbased_service_oid_desc@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_setkey@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_get_initiator_subkey@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_wrap_size_limit@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gsskrb5_set_send_to_kdc@HEIMDAL_GSS_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_unparse_name_flags@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_data_contents@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_krb5_copy_ccache@HEIMDAL_GSS_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_auth_con_getlocalsubkey@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_error_string@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_data_free@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_keyblock_contents@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to hdb_generate_key_set_password@HEIMDAL_HDB_1.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to encode_Key@HEIMDAL_HDB_1.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_free_context@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_initlog@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_kt_next_entry@HEIMDAL_KRB5_2.0’
/opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to krb5_mk_priv@HEIMDAL_KRB5_2.0' /opt/gvm/lib/libopenvas_wmiclient.so: undefined reference to gss_krb5_import_cred@HEIMDAL_GSS_2.0’
collect2: error: ld returned 1 exit status
make[2]: *** [nasl/CMakeFiles/openvas-nasl.dir/build.make:86: nasl/openvas-nasl] Błąd 1
make[1]: *** [CMakeFiles/Makefile2:146: nasl/CMakeFiles/openvas-nasl.dir/all] Błąd 2
make: *** [Makefile:163: all] Błąd 2

Any idea ??
THANKS!!!

Hi @caseybea ,

Thanks for the build guide.

I have an issue with heimdal gssapi.

When I ‘make install’ the openvas-smb prerequisite, I get the below error:

– Checking for module ‘heimdal-gssapi>=1.6.0’
– Package ‘heimdal-gssapi’, required by ‘virtual:world’, not found
CMake Error at /usr/share/cmake/Modules/FindPkgConfig.cmake:418 (message):
A required package was not found
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPkgConfig.cmake:585 (_pkg_check_modules_internal)
CMakeLists.txt:147 (pkg_check_modules)

What do you suggest I need to do?

Followed the instructions and got to the point where all the services are running and I can access the UI but scans keep instantly completing with no results, getting the following errors in the gvmd log:

md manage:WARNING:2020-07-21 09h00.32 utc:238735: database must be initialised from scanner lib osp:WARNING:2020-07-21 09h00.38 utc:238730: osp_get_vts_version: element VTS missing. md manage:WARNING:2020-07-21 09h00.38 utc:238730: manage_update_nvt_cache_osp: failed to get scanner_version md manage:WARNING:2020-07-21 09h08.17 UTC:239439: OSP start_scan d947481c-875a-4a48-9576-2359d5e7afea: VTs list is empty event task:MESSAGE:2020-07-21 09h08.17 UTC:239439: Status of task Test-scan (76b705e7-b47e-4a37-b7c5-3041d9b0834d) has changed to Done

If those messages are showing up then you might have missed the AS GVM: modify the default scanner with the new socket location: (use the UUID that’s actually shown however) step.

See also:

1 Like

I have not missed that step, when I run “gvmd --get-scanners” it shows that it is pointed to the correct socket location, and when I run “gvmd --verify-scanner=08b69003-5fc2-4037-a479-93b440211c73” it reports back “Scanner version: OpenVAS 7.0.1.”

Strange. I have only seen such kind of messages if the socket path was wrong / pointed to the wrong or non-existent socket.

I re-built the machine and re-compiled gvm and it worked fine for a while but I started getting this error again after I rebooted it.
lib osp:WARNING:2020-07-21 09h00.38 utc:238730: osp_get_vts_version: element VTS missing. md manage:WARNING:2020-07-21 09h00.38 utc:238730: manage_update_nvt_cache_osp: failed to get scanner_version

Hi!

How to fix this at systemctl start gvmd ?

md main:MESSAGE:2020-07-26 23h33.47 utc:100155: Greenbone Vulnerability Manager version 9.0.1 (DB revision 221)
md manage:WARNING:2020-07-26 23h33.47 utc:100157: sql_exec_internal: PQexec failed: ERROR: could not access file “/opt/gvm/lib/libgvm-pg-server”: Permissão negada
(7)
md manage:WARNING:2020-07-26 23h33.47 utc:100157: sql_exec_internal: SQL: CREATE OR REPLACE FUNCTION hosts_contains (text, text) RETURNS boolean AS ‘/opt/gvm/lib/libgvm-pg-server’, ‘sql_hosts_contains’ LANGUAGE C IMMUTABLE;
md manage:WARNING:2020-07-26 23h33.47 utc:100157: sqlv: sql_exec_internal failed
md main:MESSAGE:2020-07-26 23h44.00 utc:100309: Greenbone Vulnerability Manager version 9.0.1 (DB revision 221)
md manage:WARNING:2020-07-26 23h44.00 utc:100310: sql_exec_internal: PQexec failed: ERROR: could not access file “/opt/gvm/lib/libgvm-pg-server”: Permissão negada
(7)
md manage:WARNING:2020-07-26 23h44.00 utc:100310: sql_exec_internal: SQL: CREATE OR REPLACE FUNCTION hosts_contains (text, text) RETURNS boolean AS ‘/opt/gvm/lib/libgvm-pg-server’, ‘sql_hosts_contains’ LANGUAGE C IMMUTABLE;
md manage:WARNING:2020-07-26 23h44.00 utc:100310: sqlv: sql_exec_internal failed

Thanks for your job!

Thank you very much for your Build Guide!

I have been fighting on and off for months to figure out how to build the new version since my old version was tainting all scan reports with a warning message about needing en upgrade.

You saved me a ton of work!

I did find that I needed to add some additional steps to enable full scanning.

Here’s a link to where I found the additional steps:

Hey @caseybea thank you so much for this tutorial!
Do you mind if i translated it to portuguese (BR) and put in my website? Of course i will credit you for the job. Thanks!

Did you find any solution to this??

Hi, I followed all the steps of this guide and everything was going well untill I tried to log in through the web portal - When I log in my user I get the error: -

Network error: JSON.parse: unexpected character at line 1 column 1 of the JSON data

Any help would be appreciated thanks.

The installation stucks on setting up Postgres Database

gvmd=# grant dba to gvm;
GRANT ROLE
gvmd=# create extension “uuid-ossp”;
FEHLER: Syntaxfehler bei »-«
ZEILE 1: create extension “uuid-ossp”;
^
gvmd=# create extension “pgcrypto”;
FEHLER: konnte Erweiterungskontrolldatei »/usr/share/pgsql/extension/“pgcrypto”.control« nicht öffnen: Datei oder Verzeichnis nicht gefunden

what can I do. Install on Centos 8.1 latest

Regards,
Frank

Hi,

I am running CentOS Linux release 8.2.2004 (Core) and I am referring to Full GVM-11 Build Guide for CentOS 8

while building each package I am facing CMake Error as mentioned below.

[root@openvas8 build]# pwd
/opt/gvm/src/gvm-libs-11.0.1/build

[root@openvas8 build]#cmake … -DCMAKE_INSTALL_PREFIX=/opt/gvm
CMake Error: The source directory “/opt/gvm/src/gvm-libs-11.0.1/build/…” does not exist.
Specify --help for usage, or press the help button on the CMake GUI.

Any help will be highly appreciated. Thanks in advance and I look forward to hearing from you.

Best Regards,

Kaushal